<div class="d-flex pull-right flex-wrap mb-2">
	<a class="btn btn-primary btn-sm mr-2" href="/book-resources">
		{{ _("Book Resources") }}
	</a>
	<button class="btn btn-default btn-sm view-switcher list-view">
		{{ _("Calendar view") }}
	</button>
</div>

<script>
	frappe.ready(function() {
		const content = document.querySelector(".page_content")
		const listview = content.querySelector(".website-list")
		if (!listview) return;
		const calendar = document.createElement("div")
		listview.parentNode.insertBefore(calendar, listview.nextSibling);
		const viewSwitcher = document.querySelector(".view-switcher");

		if (listview) {
			listview.classList.add("d-block");
			calendar.id = "calendar-section";
			calendar.classList.add("d-none");
			viewSwitcher.addEventListener("click", function(e) {
				e.preventDefault();
				const switcher = viewSwitcher
				if (switcher.classList.contains("list-view")) {
					switcher.innerHTML = __("List view")
					switcher.classList.replace("list-view", "calendar-view")
					calendar.classList.replace("d-none", "d-block");
					listview.classList.replace("d-block", "d-none");
					calendar.innerHTML = "";

					new erpnext.itemBookingCalendar({
						parentId: "calendar-section",
						can_cancel: "{{ can_cancel }}",
						cancellation_delay: "{{ cancellation_delay }}"
					})
				} else {
					switcher.innerHTML = __("Calendar view")
					switcher.classList.replace("calendar-view", "list-view")
					calendar.classList.replace("d-block", "d-none");
					listview.classList.replace("d-none", "d-block");
				}
			})
		} else {
			viewSwitcher.classList.add("d-none");
		}
	});
</script>
